ECHO OFF
     CLS

ECHO Program STREAMLINES: Fluid networks by the Newton-Raphson method.
ECHO   (c) Copyright 1990, by ATKINSOPHT, 343 South Avenue, Weston, MA 02493.
ECHO -
ECHO Starting up after "boot":
ECHO ------------------------
ECHO   From the root drive (e.g., C:\) enter the commands:
ECHO     CD \STRMLINS.
ECHO   Then enter the command:
ECHO     STR to set the operational PATH.
ECHO -
ECHO Customizing:
ECHO ----------- 
ECHO   Five files in \STRMLINS may require modification to meet the 
ECHO   requirements of your system using MS-EDIT or any ASCII test editor:
ECHO   STR.BAT, STRDAT.BAT, STRRUN.BAT, STR.CFG, and PTF.CFG.
ECHO   See STREADME.1ST for some, and the User's Manual for more details.
ECHO Enter Ctrl-C to escape from this HELP file; then Y ...
     PAUSE
     CLS
ECHO -
ECHO Creating (or Transferring into) STREAMLINES Data Subdirectories:
ECHO ---------------------------------------------------------------
ECHO   When NOT in subdirectory \STRMLINS enter the commands:
ECHO     CD \STRMLINS to transfer to \STRMLINS, then enter the command:
ECHO     STR to set the PATH.
ECHO   When ALREADY in subdirectory \STRMLINS enter the command:
ECHO     STR to set (or to see) the PATH. Then:
ECHO   Collect related STREAMLINES data files and problem sets in unique data
ECHO   subdirectories to which you assign meaningful names related to clients,
ECHO   jobs, systems, etc.
ECHO   Create first or second level data subdirectories.
ECHO   a. To create (or to transfer into) a first level data subdirectory.
ECHO        Enter the command:
ECHO          STRDIR (datadir) where "datadir" is a meaningful name you wish
ECHO        to create for this data subdirectory. Respond:
ECHO          1 to the query for a first level data subdirectory.
ECHO        A data subdirectory h:\datadir will be created and you will be
ECHO          transferred into it to create and to run STREAMLINES problems.
ECHO          [h: is your root directory.]
ECHO Enter Ctrl-C to escape from this HELP file; then Y ...
     PAUSE
     CLS
ECHO -
ECHO   b. To create (or to transfer into) a second level data subdirectory.
ECHO        Enter the command:
ECHO          STRDIR (datadir) where "datadir" is a meaningful name you wish
ECHO        to create for this data subdirectory. Respond:
ECHO          2 to the query for a second level data subdirectory.
ECHO        A data subdirectory h:\STRMLINS\datadir will be created and you
ECHO          will be transferred into it to create and to run STREAMLINES
ECHO          problems.
ECHO Enter Ctrl-C to escape from this HELP file; then Y ...
     PAUSE
     CLS
ECHO -          
ECHO Creating New Data Files:
ECHO -----------------------
ECHO   When NOT in subdirectory \STRMLINS enter the commands:
ECHO     CD \STRMLINS to transfer to \STRMLINS, then enter the command
ECHO     STR to set the PATH. Then enter the command:
ECHO     STRDIR (datadir) to transfer to a data subdirectory. See above.
ECHO   When ALREADY in subdirectory \STRMLINS enter the command:
ECHO     STR to set the PATH.
ECHO   Choose a new data file name (datafile.ext).
ECHO   Either
ECHO   1. Enter the command:
ECHO        STRDAT (datafile.ext). This automatically copies the dataform,
ECHO        STR.DFM, into the empty file and displays it in the editor.
ECHO   Or
ECHO   2. Copy the dataform, STR.DFM, (or an existing data file) into the
ECHO        new file:
ECHO        COPY \STRMLINS\STR.DFM (datafile.ext) , or
ECHO        COPY (another.ext) (datafile.ext).
ECHO   Then bring up the data file in the editor.
ECHO     XP users need a path to: "d:\WINDOWS\SYSTEM32" for access to EDIT.COM.
ECHO   Edit the data file to satisfy the input requirements of your STREAMLINES
ECHO     problem, and file it. Some non-ASCII editors may require you to file
ECHO     it with the extension ".ASC".
ECHO Enter Ctrl-C to escape from this HELP file; then Y ...
     PAUSE
     CLS
ECHO -          
ECHO Changing Existing Data Files:
ECHO ----------------------------
ECHO   When NOT in subdirectory \STRMLINS enter the commands:
ECHO     CD \STRMLINS to transfer to \STRMLINS, then enter the command:
ECHO     STR to set the PATH. Then enter the command:
ECHO     STRDIR (datadir) to transfer to a data subdirectory. See above.
ECHO   When ALREADY in subdirectory \STRMLINS enter the command:
ECHO     STR to set the PATH.
ECHO   Choose a data file name (datafile.ext).
ECHO   Either
ECHO   1. Enter the command:
ECHO      STRDAT (datafile.ext). This displays the file in the editor.
ECHO   Or
ECHO   2. Directly display the data file in the editor:
ECHO      EDIT (datafile.ext).
ECHO   Edit the data file to satisfy the input requirements of your STREAMLINES
ECHO     problem, and file it. Some non-ASCII editors may require you to file
ECHO     it with the extension ".ASC".
ECHO Enter Ctrl-C to escape from this HELP file; then Y ...
     PAUSE
     CLS
ECHO -
ECHO Running STREAMLINES:
ECHO -------------------
ECHO   When NOT in subdirectory \STRMLINS enter the commands:
ECHO     CD \STRMLINS to transfer to \STRMLINS, then enter the command:
ECHO     STR to set the PATH.
ECHO   When ALREADY in the data subdirectory, enter the command:
ECHO     STRDIR (datadir) to transfer to the appropriate data subdirectory. 
ECHO   Enter the command:
ECHO     STRRUN (filename.ext) or, enter STRRUN and--when requested to do so-- 
ECHO     the appropriate data file name. 
ECHO   (Escape (CTRL-C) to edit the Job ID and Job Control lines if necessary.)
ECHO   Follow the screen prompts as encountered.
ECHO   You may pause in the program at any time with:
ECHO     Ctrl-S, followed by: (Enter) to resume execution.
ECHO   You may escape from the program at any time with:
ECHO     Ctrl-C, followed by: Y.
ECHO   If input data field errors are detected the Input and Program Logs are
ECHO     conbined in the file STR.OUT and displayed in the editor at the end. 
ECHO   Upon leaving STRMLINS the output file, STR.OUT, will be displayed
ECHO     automatically in the editor. STR.OUT is the concatenation of the
ECHO     two files STR.MNO and STR.INP. Some non-ASCII editors may require you
ECHO     to re-file it with the extension ".ASC" as in STR.ASC.
ECHO Enter Ctrl-C to escape from this HELP file; then Y ...
     PAUSE
     CLS
ECHO -
ECHO Having Left STREAMLINES:
ECHO -----------------------
ECHO   You remain in your data subdirectory.
ECHO   The output file STR.OUT is here in the data subdirectory.
ECHO   In the event that STREAMLINES did not run to completion review the
ECHO     separate files STR.MNO, STR.INP, and STR.LOG also left here in
ECHO     the data subdirectory.
ECHO   The program keeps three successive levels of the output in the
ECHO     subdirectory. Each time you run STREAMLINES the output files from the
ECHO     previous runs cascade down (from STR.ext to STRSAVE1.ext to
ECHO     STRSAVE2.ext) so that the most recent two output file sets survive.
ECHO   If you experience trouble with commands and files it may relate to the
ECHO     use of a non-ASCII text editor. Make certain that there exist no files
ECHO     in your directories with the extension ".ASC". Rename customized
ECHO     batch files to have the extension ".BAT"; customized configuration
ECHO     files to have the extension ".CFG"; data files to have extensions as
ECHO     wanted; and output files to have the extension ".OUT", ".INP",
ECHO     ".MNO", or ".LOG".
ECHO Enter Ctrl-C to escape from this HELP file; then Y ...
     PAUSE
     CLS
ECHO -
ECHO Printing the Output:
ECHO -------------------
ECHO   Remain in the appropriate data subdirectory.
ECHO   Make available the file PTF.CFG in \STRMLINS to configure your printer.
ECHO   See STREADME.1ST and the User's Manual for details.
ECHO   You may enter the command:
ECHO     PTFHELP for help with the print program.
ECHO   You may print to the printer, PRN, LPT1, LPT2, or to a file,
ECHO     (filename.ext), for later printing via the DOS PRINT command.
ECHO   Enter the command:
ECHO     PTF (PRN / LPT1 / LPT2) or
ECHO     PTF ([h:\[dir\]]filename.ext) and respond with the output file name:
ECHO     STR(.xtn) when it is requested.
ECHO   Use the filename extension, (.xtn), may be .MNO, .INP, .LOG, or .OUT.
ECHO   The output files contain 132 character lines.
ECHO   When using a 14 inch wide printer select 10 characters/inch
ECHO     (Pica) by entering:
ECHO       (Enter).
ECHO   When using an 8-1/2 inch wide printer select 17 characters
ECHO     /inch (Condensed) by entering:
ECHO       Y (for yes).
ECHO Enter Ctrl-C to escape from this HELP file; then Y ...
     PAUSE
     CLS
ECHO -
ECHO Help:
ECHO ----
ECHO   Enter the command: CD \STRMLINS from the root directory after boot.
ECHO   Enter the command: STR to set (or to see) the PATH.
ECHO   Enter the command: STRHELP to display the Program help file.
ECHO   Enter the command: PTFHELP to display the Printer help file.

:END

