    @ECHO OFF
Rem: Edit the EDIT line below if required for your text editor.
Rem: Program Control line location CNTRL2(30) should be set to 0.

     IF NOT EXIST \STRMLINS\STR.FMT GOTO ERR
     IF NOT EXIST \STRMLINS\STR.CFG GOTO ERR

     IF EXIST DIR1.TAG GOTO BKP
     IF EXIST DIR2.TAG GOTO BKP
     GOTO ERR

:BKP
ECHO Backing-up existing output files . . .
Rem: Save two levels of STREAMLINES output.
     IF NOT EXIST STRSAVE2.OUT GOTO TWO
     DEL  STRSAVE2.*

:TWO
     IF NOT EXIST STRSAVE1.OUT GOTO ONE
     COPY STRSAVE1.* STRSAVE2.*/V >NUL
     DEL  STRSAVE1.*

:ONE
     IF NOT EXIST STR.OUT GOTO RUN
Rem: STR.MNO and STR.INP are combined by STRRUN.BAT in STR.OUT.
Rem: STR.LOG always stands alone.
     DEL  STR.MNO
     DEL  STR.INP
     DEL  STR.LOG
     COPY STR.* STRSAVE1.*/V >NUL
     DEL  STR.*

:RUN
Rem: Used as a flag for ERIND=1 in STRMLINS. Deleted after run.
     COPY \STRMLINS\STR.CFG STR.CFG/V >NUL
ECHO   (Disregard directory or file error messages; they are used as tests.)
ECHO -
ECHO Wait a moment for STREAMLINES to be loaded into memory . . .

Rem: Run the Program:
     SET STR.FMT=\STRMLINS\STR.FMT
     SET DATFIL=%1
     CLS
     STRMLINS
ECHO -
ECHO Leaving STREAMLINES.
     SET STR.FMT=
     SET DATFIL=

     IF EXIST STR.CFG GOTO INP
ECHO -
ECHO Combining files STR.MNO, .INP, and .LOG in STR.OUT . . .
     COPY STR.MNO +STR.INP +STR.LOG STR.OUT >NUL
     GOTO NXT

:INP
ECHO -
ECHO Combining files STR.MNO and .INP in STR.OUT . . .
Rem: Edit this line to locate output elsewhere.
     DEL STR.CFG
     COPY STR.MNO +STR.INP STR.OUT >NUL

:NXT
     TYPE \STRMLINS\YEL.TXT
     NXT "Output to screen via editor (1), or exit to DOS (2)? ", 12
     IF ERRORLEVEL 2 GOTO DIR
     IF ERRORLEVEL 1 GOTO OUT

:OUT
     TYPE \STRMLINS\CYN.TXT
ECHO Note: "Correcting" the Input (data) Log is NOT the same as editing the
ECHO        input data file.
     TYPE \STRMLINS\WHT.TXT
     PAUSE

ECHO -
ECHO Displaying STR.OUT in the editor (See also STR.LOG) . . .

Rem: Edit the following line if required for your text editor:
     EDIT str.out
Rem:    ^your ASCII text editor call if not MS-EDIT

     IF NOT EXIST STR.ASC GOTO PRT
     COPY STR.ASC STR.OUT/V
     DEL  STR.ASC

:PRT
     TYPE \STRMLINS\WHT.TXT
     NXT "Print the results: (1), or exit to DOS: (2)? ", 12
     IF ERRORLEVEL 2 GOTO DIR
ECHO You may print the Main Output (STR.OUT = STR.MNO +STR.INP),
ECHO   the Input Log (STR.INP), or the Program Log (STR.LOG):
     PTF PRN
     GOTO DIR

:ERR
     CD \STRMLINS
     TYPE \STRMLINS\RED.TXT
ECHO You are not in a data subdirectory, or
ECHO File \STRMLINS\STR.FMT or \STRMLINS\STR.CFG could not be found. 
ECHO Returned to \STRMLINS:
     TYPE \STRMLINS\WHT.TXT
     GOTO END

:DIR
     TYPE \STRMLINS\YEL.TXT
     CLS
     DIR/W
ECHO -
ECHO         To return to the subdirectory \STRMLINS, enter: STR
ECHO To create or to enter another data subdirectory, enter: STRDIR datadir
ECHO                To create or to edit a data file, enter: STRDAT datafile
ECHO   To run STREAMLINES with an existing data file, enter: STRRUN
ECHO                                                     or: STRRUN datafile

:END

